<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KKeyServer</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KKeyServer Namespace Reference</h1>
<code>from PyKDE4.kdeui.KKeyServer import *</code>
<p>
<h2>Detailed Description</h2>
<p>A collection of functions for the conversion of key presses and
their modifiers from the window system specific format
to the generic format and vice-versa.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192924588">accelModMaskX</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192094028">codeWinToKeyQt</a> (long sym, int keyQt)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191494604">initializeMods</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192068300">keyQtToCodeMac</a> (int keyQt, [long] keyCodes)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192138252">keyQtToCodeWin</a> (int keyQt, long sym)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool, int (keyCode)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192924492">keyQtToCodeX</a> (int keyQt, )</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192068396">keyQtToModMac</a> (int keyQt, long mod)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192080940">keyQtToModWin</a> (int keyQt, long mod)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool, long (mod)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192058284">keyQtToModX</a> (int keyQt, )</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192067404">keyQtToSymMac</a> (int keyQt, int sym)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool, int (sym)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192925004">keyQtToSymX</a> (int keyQt, )</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191493900">keyboardHasMetaKey</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192048812">modToStringUser</a> (long mod)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192066956">modWinToKeyQt</a> (long mod, int keyQt)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191449420">modXAlt</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191481996">modXCtrl</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191468940">modXLock</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191426188">modXLock</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191449100">modXMeta</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189920460">modXModeSwitch</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191337420">modXNumLock</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191409516">modXScrollLock</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191433004">modXShift</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool, int (modQt)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192057580">modXToQt</a> (long modX, )</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192065932">stringUserToMod</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> mod)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool, int (keyQt)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192059628">symXToKeyQt</a> (long sym, )</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192061132">xEventToQt</a> (XEvent e, int keyModQt)</td></tr>
</table>
<hr><h2>Function Documentation</h2><a class="anchor" name="obj192924588"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long accelModMaskX</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns bitwise OR'ed mask containing Shift, Ctrl, Alt, and
Win (if available).
<dl class="see" compact><dt><b>See also:</b></dt><dd> modXShift()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> modXLock()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> modXCtrl()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> modXAlt()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> modXNumLock()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> modXWin()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> modXScrollLock()
</dd></dl>
</p></div></div><a class="anchor" name="obj192094028"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool codeWinToKeyQt</td>
<td>(</td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>sym</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>keyQt</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191494604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool initializeMods</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj192068300"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool keyQtToCodeMac</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>keyQt</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">[long]&nbsp;</td>
<td class="paramname"><em>keyCodes</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Extracts all the scancodes from the given Qt key. The returned values can change if a different
keyboard layout is selected.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>keyQt</em>&nbsp;</td><td> the qt key code

<tr><td></td><td valign="top"><em>keyCodes</em>&nbsp;</td><td> if successful, a list of scancodes will be written here
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj192138252"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool keyQtToCodeWin</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>keyQt</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>sym</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Extracts the symbol from the given Qt key and
converts it to a Windows symbol.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>keyQt</em>&nbsp;</td><td> the qt key code

<tr><td></td><td valign="top"><em>sym</em>&nbsp;</td><td> if successful, the symbol will be written here
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj192924492"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool, int (keyCode) keyQtToCodeX</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>keyQt</em>, </td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Extracts the code from the given Qt key.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>keyQt</em>&nbsp;</td><td> the qt key code

<tr><td></td><td valign="top"><em>keyCode</em>&nbsp;</td><td> if successful, the symbol will be written here
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj192068396"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool keyQtToModMac</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>keyQt</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>mod</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Extracts the modifiers from the given Qt key and converts them in a mask of OSX modifiers.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>keyQt</em>&nbsp;</td><td> the qt key code

<tr><td></td><td valign="top"><em>mod</em>&nbsp;</td><td> if successful, the modifiers will be written here
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj192080940"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool keyQtToModWin</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>keyQt</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>mod</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Extracts the modifiers from the given Qt key and
converts them in a mask of Windows modifiers.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>keyQt</em>&nbsp;</td><td> the qt key code

<tr><td></td><td valign="top"><em>mod</em>&nbsp;</td><td> if successful, the modifiers will be written here
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj192058284"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool, long (mod) keyQtToModX</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>keyQt</em>, </td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Extracts the modifiers from the given Qt key and
converts them in a mask of X11 modifiers.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>keyQt</em>&nbsp;</td><td> the qt key code

<tr><td></td><td valign="top"><em>mod</em>&nbsp;</td><td> if successful, the modifiers will be written here
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj192067404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool keyQtToSymMac</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>keyQt</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>sym</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Extracts the symbol from the given Qt key, and converts it to an OSX symbol.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>keyQt</em>&nbsp;</td><td> the qt key code

<tr><td></td><td valign="top"><em>sym</em>&nbsp;</td><td> if successful, the symbol will be written here
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj192925004"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool, int (sym) keyQtToSymX</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>keyQt</em>, </td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Extracts the symbol from the given Qt key and
converts it to an X11 symbol + modifiers.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>keyQt</em>&nbsp;</td><td> the qt key code

<tr><td></td><td valign="top"><em>sym</em>&nbsp;</td><td> if successful, the symbol will be written here
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj191493900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool keyboardHasMetaKey</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns true if the current keyboard layout supports the Meta key.
Specifically, whether the Super or Meta keys are assigned to an X modifier.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the keyboard has a Meta key
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> modXMeta()
</dd></dl>
</p></div></div><a class="anchor" name="obj192048812"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> modToStringUser</td>
<td>(</td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>mod</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Converts the mask of ORed KKey.ModFlag modifiers to a
user-readable string.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>mod</em>&nbsp;</td><td> the mask of ORed KKey.ModFlag modifiers
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the user-readable string
</dd></dl>
</p></div></div><a class="anchor" name="obj192066956"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool modWinToKeyQt</td>
<td>(</td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>mod</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>keyQt</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191449420"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long modXAlt</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the X11 Alt (Mod1) modifier mask/flag.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the X11 Alt (Mod1) modifier mask/flag.
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> accelModMaskX()
</dd></dl>
</p></div></div><a class="anchor" name="obj191481996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long modXCtrl</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the X11 Ctrl modifier mask/flag.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the X11 Ctrl modifier mask/flag.
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> accelModMaskX()
</dd></dl>
</p></div></div><a class="anchor" name="obj191468940"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long modXLock</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the X11 Lock modifier mask/flag.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the X11 Lock modifier mask/flag.
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> accelModMaskX()
</dd></dl>
</p></div></div><a class="anchor" name="obj191426188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long modXLock</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the X11 Lock modifier mask/flag.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the X11 Lock modifier mask/flag.
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> accelModMaskX()
</dd></dl>
</p></div></div><a class="anchor" name="obj191449100"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long modXMeta</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the X11 Win (Mod3) modifier mask/flag.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the X11 Win (Mod3) modifier mask/flag.
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> keyboardHasWinKey()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> accelModMaskX()
</dd></dl>
</p></div></div><a class="anchor" name="obj189920460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long modXModeSwitch</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the X11 Mode_switch modifier mask/flag.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the X11 Mode_switch modifier mask/flag.
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> accelModMaskX()
</dd></dl>
</p></div></div><a class="anchor" name="obj191337420"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long modXNumLock</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the X11 NumLock modifier mask/flag.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the X11 NumLock modifier mask/flag.
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> accelModMaskX()
</dd></dl>
</p></div></div><a class="anchor" name="obj191409516"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long modXScrollLock</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the X11 ScrollLock modifier mask/flag.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the X11 ScrollLock modifier mask/flag.
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> accelModMaskX()
</dd></dl>
</p></div></div><a class="anchor" name="obj191433004"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long modXShift</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the X11 Shift modifier mask/flag.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the X11 Shift modifier mask/flag.
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> accelModMaskX()
</dd></dl>
</p></div></div><a class="anchor" name="obj192057580"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool, int (modQt) modXToQt</td>
<td>(</td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>modX</em>, </td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Converts the mask of ORed X11 modifiers to
a mask of ORed Qt key code modifiers.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>modX</em>&nbsp;</td><td> the mask of X11 modifiers

<tr><td></td><td valign="top"><em>modQt</em>&nbsp;</td><td> the mask of Qt key code modifiers will be written here
if successful
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj192065932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long stringUserToMod</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>mod</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Converts the modifier given as user-readable string
to KKey.ModFlag modifier, or 0.
<dl class="internal" compact><dt><b>Internal:</b></dt><dd>
</dd></dl>
</p></div></div><a class="anchor" name="obj192059628"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool, int (keyQt) symXToKeyQt</td>
<td>(</td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>sym</em>, </td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Converts the given symbol to a Qt key code.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>sym</em>&nbsp;</td><td> the symbol

<tr><td></td><td valign="top"><em>keyQt</em>&nbsp;</td><td> if successful, the qt key code will be written here
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj192061132"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool xEventToQt</td>
<td>(</td>
<td class="paramtype">XEvent&nbsp;</td>
<td class="paramname"><em>e</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>keyModQt</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Converts an X keypress event into a Qt key + modifier code
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>e</em>&nbsp;</td><td> the X11 keypress event

<tr><td></td><td valign="top"><em>keyModQt</em>&nbsp;</td><td> the Qt keycode and mask of Qt key code modifiers will be written here
if successful
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
